      module rc_parameters
      use types

      integer(I4B), parameter :: crslev=1  !coarsest level
      integer(I4B), parameter :: maxlev=2  !maximum allowed levels

      real(SP), parameter  :: dtbydr=0.25
      real(SP), parameter  :: rcxshp=2.00  ! the same for x, y and z
      real(SP), parameter  :: rcrhtm=2.00
      integer(I4B), parameter :: rcrgin=2

!      real(SP), parameter  :: tremax=0.005d0 ! trunc.error threshold ad.f90
       real(SP), parameter  :: tremax=200.0  ! trunc.error threshold
       real(SP), parameter  :: epsdis= 0.5d0 ! dissipation used in ad.f
!      for 2d set bufwid(3)=0, etc.
       integer(I4B), dimension(3)  :: bufwid= (/2,2,0/)  ! regrid buffer width
       integer(I4B), parameter  :: mrgwid=3  ! regrid margin width
       integer(I4B), parameter :: maxclust = 10 !maximum # clusters at a level
       integer(I4B),parameter  :: mcsize = 4 ! minimum size of cluster
                                             ! along any direction  

!     the following parametrs control boundary conditions
       integer(I4B), parameter :: dir=0, mix=1          
       integer(I4B), parameter :: flbex=mix, lrbex=mix  
       real(SP), parameter     :: rmaxxtnd = 2.0d0 
       real(SP), parameter     :: rminxtnd = 2.0d0

      logical,parameter        :: verbose = .true.

      end module rc_parameters









